
Redmine - Defect #37379

Thumbnail macro does not work when a file is attached and preview is displayed immediately

2022-07-03 15:10 - Yasu Saku

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 4.2.8   

Resolution: Fixed Affected version: 4.2.7

Description

Steps to reproduce:

1. Open the wiki edit page.

2. Upload an image file (e.g. imagefile.png) but do not save.

3. Insert thumbnail macro.

e.g:

{{thumbnail(imagefile.png)}}

4. Show preview.

5. Thumbnail is not displayed and error message is displayed, like this:

Error executing the thumbnail macro (Attachment imagefile.png not found)

 error_message.png 

(After saving the wiki, the thumbnail will be displayed without any problems.)

Related issues:

Related to Redmine - Defect #37881: Thumbnails are no longer fetched for all ... Closed

Related to Redmine - Defect #38697: Exception during thumbnail macro to image... Closed

Associated revisions

Revision 21716 - 2022-07-19 15:57 - Go MAEDA

Thumbnail macro does not work when a file is attached and preview is displayed immediately (#37379).

Patch by Mizuki ISHIKAWA.

Revision 21719 - 2022-07-19 16:33 - Go MAEDA

Fix test failure (#37379).

Revision 21735 - 2022-07-21 16:31 - Go MAEDA

Merged r21716 and r21719 from trunk to 5.0-stable (#37379).

Revision 21736 - 2022-07-21 16:52 - Go MAEDA

Merged r21716 and r21719 from trunk to 4.2-stable (#37379).

History

#1 - 2022-07-03 23:50 - Go MAEDA

- Category changed from Wiki to Text formatting

- Status changed from New to Confirmed

- Affected version changed from 5.0.2 to 4.2.7

#2 - 2022-07-14 08:20 - Mizuki ISHIKAWA

- File fix-37379.patch added
Attached is a patch to resolve the issue.

#3 - 2022-07-14 11:51 - Go MAEDA

- Target version set to Candidate for next minor release

#4 - 2022-07-18 08:54 - Go MAEDA

- Target version changed from Candidate for next minor release to 4.2.8

Setting the target version to 4.2.8.

#5 - 2022-07-19 15:57 - Go MAEDA

- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.

#6 - 2022-07-21 16:52 - Go MAEDA

- Status changed from Resolved to Closed

#7 - 2022-11-07 07:19 - Go MAEDA

- Related to Defect #37881: Thumbnails are no longer fetched for all notes of an issue added

#8 - 2023-08-29 03:28 - Go MAEDA

- Related to Defect #38697: Exception during thumbnail macro to image tag conversion in emails added

Files

error_message.png 11.3 KB 2022-07-03 Yasu Saku

fix-37379.patch 1.88 KB 2022-07-14 Mizuki ISHIKAWA
